<?php require_once "header.php" ?>

    <h2>Informations sur l'équipe</h2>

    Nom de l'équipe : <?= $team->getName() ?><br/>
    Trigramme : <?= $team->getTrigram() ?><br/>
    Tournoi : <a href="<?= $URL_BASE . "/tournoi/" . $tournament->getName() ?>"><?= $tournament->getName() ?></a><br/>
<?php
for ($i = 1; $i <= 2; ++$i) {
	if ($team->getEncadrants()[$i] == NULL)
		continue;
	$encadrant = User::fromId($team->getEncadrants()[$i - 1]);
	$id = $encadrant->getId();
	echo "Encadrant $i : <a href=\"$URL_BASE/informations/$id/" . $encadrant->getFirstName() . " " . $encadrant->getSurname() . "\">" . $encadrant->getFirstName() . " " . $encadrant->getSurname() . "</a><br />";
}
for ($i = 1; $i <= 6; ++$i) {
	if ($team->getParticipants()[$i - 1] == NULL)
		continue;
	$participant = User::fromId($team->getParticipants()[$i - 1]);
	$id = $participant->getId();
	echo "Participant $i : <a href=\"$URL_BASE/informations/$id/" . $participant->getFirstName() . " " . $participant->getSurname() . "\">" . $participant->getFirstName() . " " . $participant->getSurname() . "</a><br />";
}
if ($team->isSelectedForFinal()) {
	$final_name = $FINAL->getName();
	echo "<strong>Équipe sélectionnée pour la <a href=\"$URL_BASE/tournoi/$final_name\">finale nationale</a>.</strong>";
}
?>

    <hr/>

    <h2>Autorisations</h2>

<?php printDocuments($documents) ?>

    <form method="POST">
        <input style="width: 100%;" type="submit" name="download_zip" value="Télécharger l'archive"/>
    </form>

<?php if ($team->isSelectedForFinal()) { ?>
    <hr/>
    <h2>Autorisations pour la finale</h2>
	<?php printDocuments($documents_final) ?>
    <form method="POST">
        <input style="width: 100%;" type="submit" name="download_zip_final" value="Télécharger l'archive"/>
    </form>
<?php } ?>

<?php if ($team->getValidationStatus() == ValidationStatus::WAITING && $_SESSION["role"] == Role::ADMIN) { ?>
    <form method="POST">
        <input style="width: 100%;" type="submit" name="validate" value="Valider l'équipe"/>
    </form>
	<?php
}

if (!$team->isSelectedForFinal() && $_SESSION["role"] == Role::ADMIN) { ?>
    <hr/>
    <form method="POST">
        <input style="width: 100%;" type="submit" name="select" value="Sélectionner pour la finale nationale"/>
    </form>
<?php } ?>

<?php require_once "footer.php" ?>