<?php require_once "header.php" ?>

<h1><?= $user->getFirstName() . " " . $user->getSurname() ?></h1>

<?php if ($user->getRole() == Role::PARTICIPANT || $user->getRole() == Role::ENCADRANT) { ?>
	Équipe : <?= $team === null ? "Pas d'équipe" : "<a href=\"$URL_BASE/equipe/" . $team->getTrigram() . "\">" . $team->getName() . " (" . $team->getTrigram() . ")</a>" ?><br />
<?php } ?>
Date de naissance : <?= formatDate($user->getBirthDate()) ?><br />
Sexe : <?= $user->getGender() == "M" ? "Masculin" : "Féminin" ?><br />
Adresse : <?= $user->getAddress() . ", " . $user->getPostalCode() . " " . $user->getCity() . ($user->getCountry() == "France" ? "" : ", " . $user->getCountry()) ?><br />
Adresse e-mail : <a href="mailto:<?= $user->getEmail() ?>"><?= $user->getEmail() ?></a><br />
Numéro de téléphone : <?= $user->getPhoneNumber() ?><br />

<?php if ($user->getRole() == Role::PARTICIPANT) { ?>
	Lycée : <?= $user->getSchool() ?><br />
	Classe : <?php SchoolClass::getTranslatedName($user->getClass())	?><br />
	Nom du responsable légal : <?= $user->getResponsibleName() ?><br />
	Numéro de téléphone du responsable légal : <?= $user->getResponsiblePhone() ?><br />
	Adresse e-mail du responsable légal : <a href="mailto:<?= $user->getResponsibleEmail() ?>"><?= $user->getResponsibleEmail() ?></a>
<?php } elseif ($user->getDescription() != "") { ?>
	Description : <?= $user->getDescription() ?><br />
<?php }

echo "<hr />";

if ($user->getRole() == Role::ADMIN || $user->getRole() == Role::ORGANIZER) {
	foreach ($tournaments as $tournament) {
		echo "Organise le tournoi <a href=\"$URL_BASE/tournoi/" . $tournament->getName(). "\">" . $tournament->getName() . "</a><br />";
	}
}
elseif ($user->getRole() == Role::PARTICIPANT || $user->getRole() == Role::ENCADRANT) { ?>
	<h2>Autorisations</h2>
    <?php
    printDocuments($documents);

    if ($team->isSelectedForFinal()) { ?>
        <hr />
        <h2>Autorisations pour la finale</h2>
        <?php
        printDocuments($documents_final);
    }
}

require_once "footer.php";